.alert {
    background-color: #00000070;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: baseline;
    z-index: 9999;
    padding-top: 10%;
}

.icon-alert {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border: 1px solid #000;
}

.icon-alert__circle,
.icon-alert__path {
    stroke-width: 2;
    stroke: #fff;
    fill: none;
    animation: stroke 0.4s cubic-bezier(0.65, 0, 0.45, 1) forwards;
}

.icon-alert__path {
    stroke-width: 5;
    animation-delay: 0.5s;
}

@keyframes stroke {
    100% {
        stroke-dashoffset: 0;
    }
}

.checkmark {
    background-color: #157347;
}

.error-icon-alert {
    background-color: #dc3545;
}

.warning-icon-alert {
    background-color: #ffc107;
}

.question-icon-alert {
    background-color: #3498db;
}

.alert-icon {
    display: flex;
    justify-content: center;
}

.alert-title {
    text-align: center;
    font-weight: bolder;
    font-size: x-large !important;
    margin-top: 20px;
}

.alert-content {
    margin-top: 10px;
    text-align: center;
    font-size: medium !important;
}

.alert-actions {
    text-align: center;
    margin-top: 40px;
}

.alert-card {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .25rem;
    width: 35%;
}

.alert-card-body {
    flex: 1 1 auto;
    padding: 1rem 1rem;
}

.alert-btn {
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    margin: 0 2px 0 2px;
    font-size: 1rem;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out
}

@media (prefers-reduced-motion:reduce) {
    .alert-btn {
        transition: none
    }
}

.alert-btn:hover {
    color: #212529
}

.alert-btn-check {
    position: absolute;
    clip: rect(0, 0, 0, 0);
    pointer-events: none
}

.alert-btn-check:disabled+.alert-btn,
.alert-btn-check[disabled]+.alert-btn {
    pointer-events: none;
    filter: none;
    opacity: .65
}

.alert-btn-check:focus+.alert-btn,
.alert-btn:focus {
    outline: 0;
    box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25)
}

.alert-btn-secondary {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d
}

.alert-btn-secondary:hover {
    color: #fff;
    background-color: #5c636a;
    border-color: #565e64
}

.alert-btn-check:focus+.alert-btn-secondary,
.alert-btn-secondary:focus {
    color: #fff;
    background-color: #5c636a;
    border-color: #565e64;
    box-shadow: 0 0 0 .25rem rgba(130, 138, 145, .5)
}

.alert-btn-secondary.disabled,
.alert-btn-secondary:disabled {
    color: #fff;
    background-color: #6c757d;
    border-color: #6c757d
}

.alert-btn-success {
    color: #fff;
    background-color: #198754;
    border-color: #198754
}

.alert-btn-success:hover {
    color: #fff;
    background-color: #157347;
    border-color: #146c43
}

.alert-btn-check:focus+.alert-btn-success,
.alert-btn-success:focus {
    color: #fff;
    background-color: #157347;
    border-color: #146c43;
    box-shadow: 0 0 0 .25rem rgba(60, 153, 110, .5)
}

.alert-btn-check:active+.alert-btn-success,
.alert-btn-check:checked+.alert-btn-success,
.alert-btn-success.active,
.alert-btn-success:active,
.show>.alert-btn-success.dropdown-toggle {
    color: #fff;
    background-color: #146c43;
    border-color: #13653f
}

.alert-btn-check:active+.alert-btn-success:focus,
.alert-btn-check:checked+.alert-btn-success:focus,
.alert-btn-success.active:focus,
.alert-btn-success:active:focus,
.show>.alert-btn-success.dropdown-toggle:focus {
    box-shadow: 0 0 0 .25rem rgba(60, 153, 110, .5)
}

.alert-btn-success.disabled,
.alert-btn-success:disabled {
    color: #fff;
    background-color: #198754;
    border-color: #198754
}

.alert-btn-danger {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545
}

.alert-btn-danger:hover {
    color: #fff;
    background-color: #bb2d3b;
    border-color: #b02a37
}

.alert-btn-check:focus+.alert-btn-danger,
.alert-btn-danger:focus {
    color: #fff;
    background-color: #bb2d3b;
    border-color: #b02a37;
    box-shadow: 0 0 0 .25rem rgba(225, 83, 97, .5)
}

.alert-btn-check:active+.alert-btn-danger,
.alert-btn-check:checked+.alert-btn-danger,
.alert-btn-danger.active,
.alert-btn-danger:active,
.show>.alert-btn-danger.dropdown-toggle {
    color: #fff;
    background-color: #b02a37;
    border-color: #a52834
}

.alert-btn-check:active+.alert-btn-danger:focus,
.alert-btn-check:checked+.alert-btn-danger:focus,
.alert-btn-danger.active:focus,
.alert-btn-danger:active:focus,
.show>.alert-btn-danger.dropdown-toggle:focus {
    box-shadow: 0 0 0 .25rem rgba(225, 83, 97, .5)
}

.alert-btn-danger.disabled,
.alert-btn-danger:disabled {
    color: #fff;
    background-color: #dc3545;
    border-color: #dc3545
}

.alert-btn-primary {
    color: #fff;
    background-color: #0d6efd;
    border-color: #0d6efd
}

.alert-btn-primary:hover {
    color: #fff;
    background-color: #0b5ed7;
    border-color: #0a58ca
}

.alert-btn-check:focus+.alert-btn-primary,
.alert-btn-primary:focus {
    color: #fff;
    background-color: #0b5ed7;
    border-color: #0a58ca;
    box-shadow: 0 0 0 .25rem rgba(49, 132, 253, .5)
}

.alert-btn-check:active+.alert-btn-primary,
.alert-btn-check:checked+.alert-btn-primary,
.alert-btn-primary.active,
.alert-btn-primary:active,
.show>.alert-btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #0a58ca;
    border-color: #0a53be
}

.alert-btn-check:active+.alert-btn-primary:focus,
.alert-btn-check:checked+.alert-btn-primary:focus,
.alert-btn-primary.active:focus,
.alert-btn-primary:active:focus,
.show>.alert-btn-primary.dropdown-toggle:focus {
    box-shadow: 0 0 0 .25rem rgba(49, 132, 253, .5)
}

.alert-btn-primary.disabled,
.alert-btn-primary:disabled {
    color: #fff;
    background-color: #0d6efd;
    border-color: #0d6efd
}

.alert-btn-warning {
    color: #000;
    background-color: #ffc107;
    border-color: #ffc107
}

.alert-btn-warning:hover {
    color: #000;
    background-color: #ffca2c;
    border-color: #ffc720
}

.alert-btn-check:focus+.alert-btn-warning,
.alert-btn-warning:focus {
    color: #000;
    background-color: #ffca2c;
    border-color: #ffc720;
    box-shadow: 0 0 0 .25rem rgba(217, 164, 6, .5)
}

.alert-btn-check:active+.alert-btn-warning,
.alert-btn-check:checked+.alert-btn-warning,
.alert-btn-warning.active,
.alert-btn-warning:active,
.show>.alert-btn-warning.dropdown-toggle {
    color: #000;
    background-color: #ffcd39;
    border-color: #ffc720
}

.alert-btn-check:active+.alert-btn-warning:focus,
.alert-btn-check:checked+.alert-btn-warning:focus,
.alert-btn-warning.active:focus,
.alert-btn-warning:active:focus,
.show>.alert-btn-warning.dropdown-toggle:focus {
    box-shadow: 0 0 0 .25rem rgba(217, 164, 6, .5)
}

.alert-btn-warning.disabled,
.alert-btn-warning:disabled {
    color: #000;
    background-color: #ffc107;
    border-color: #ffc107
}

.alert-btn-dark {
    color: #fff;
    background-color: #212529;
    border-color: #212529
}

.alert-btn-dark:hover {
    color: #fff;
    background-color: #1c1f23;
    border-color: #1a1e21
}

.alert-btn-check:focus+.alert-btn-dark,
.alert-btn-dark:focus {
    color: #fff;
    background-color: #1c1f23;
    border-color: #1a1e21;
    box-shadow: 0 0 0 .25rem rgba(66, 70, 73, .5)
}

.alert-btn-check:active+.alert-btn-dark,
.alert-btn-check:checked+.alert-btn-dark,
.alert-btn-dark.active,
.alert-btn-dark:active,
.show>.alert-btn-dark.dropdown-toggle {
    color: #fff;
    background-color: #1a1e21;
    border-color: #191c1f
}

.alert-btn-check:active+.alert-btn-dark:focus,
.alert-btn-check:checked+.alert-btn-dark:focus,
.alert-btn-dark.active:focus,
.alert-btn-dark:active:focus,
.show>.alert-btn-dark.dropdown-toggle:focus {
    box-shadow: 0 0 0 .25rem rgba(66, 70, 73, .5)
}

.alert-btn-dark.disabled,
.alert-btn-dark:disabled {
    color: #fff;
    background-color: #212529;
    border-color: #212529
}

.alert-bg-success {
    background-color: #198754 !important;
}

.alert-bg-danger {
    background-color: #dc3545 !important;
}

.alert-bg-warning {
    background-color: #ffc107 !important;
}

.alert-bg-question {
    background-color: #3498db !important;
}

.alert-text-white {
    color: #fff !important;
}

.alert-text-black {
    color: #000 !important;
}

.alert-card-header {
    padding: .5rem 1rem;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
    border-bottom: 1px solid rgba(0, 0, 0, .125);
    border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 0;
}